更新 identityUserFlowAttributeAssignment

命名空间:microsoft.graph

更新 identityUserFlowAttributeAssignment 对象的属性。

Permissions

要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限

权限类型 权限(从最低特权到最高特权)
委派(工作或学校帐户) IdentityUserFlow.ReadWrite.All
委派(个人 Microsoft 帐户) 不支持
应用程序 IdentityUserFlow.ReadWrite.All

HTTP 请求

PATCH /identity/b2xUserFlows/{id}/userAttributeAssignments/{id}

请求标头

名称 说明
Authorization Bearer {token}。必需。
Content-Type application/json. Required.

请求正文

在请求正文中,提供 identityUserFlowAttributeAssignment 对象的 JSON 表示形式。

下表显示了可在 identityUserFlowAttributeAssignment 中更新的属性

属性 类型 说明
displayName String 用户显示名称中的 identityUserFlowAttribute 的组。
isOptional 布尔 确定 identityUserFlowAttribute 是否可选。 true 表示用户无需提供值。 false 表示用户无法在未提供值的情况下完成注册。
requiresVerification 布尔 确定 identityUserFlowAttribute 是否需要验证。 这仅用于验证用户的电话号码或电子邮件地址。
userAttributeValues userAttributeValuesItem 集合 用户流属性的输入选项。 仅在 userInputType 为 radioSingleSelectdropdownSingleSelect 或 时适用 checkboxMultiSelect
userInputType identityUserFlowAttributeInputType 用户流属性的输入类型。 可取值为:textBoxdateTimeDropdownradioSingleSelectdropdownSingleSelectemailBoxcheckboxMultiSelect

响应

如果成功,此方法在响应正文中返回 响应代码和更新的 200 OK identityUserFlowAttributeAssignment 对象。

示例

请求

PATCH https://graph.microsoft.com/v1.0/identity/b2xUserFlows/{b2xIdentityUserFlowId}/userAttributeAssignments/{id}
Content-Type: application/json

{
  "userInputType": "textBox"
}

响应

HTTP/1.1 204 No Content